-- class NavLog

--
-- P R O P E R T I E S
-- 

property ancestor
property pFilename

--
-- P U B L I C
--

on new (me)
  me.ancestor = script("class FileIO").new()
  me._Init()
  return(me)
end

on Destroy (me)
  me.ancestor.Destroy()
  me.ancestor = 0
end

on Dump (me, theString)
  me.OpenFile(me.pFilename, #write)
  me.SetPositionEOF()
  me.WriteString(theString)
  me.WriteReturn()
  me.CloseFile()
end

--
-- P R I V A T E
--

on _Init (me)
  me.pFilename = the moviePath & "nav.log"
  me._CreateStackLog()
end

on _CreateStackLog (me)
  me.DeleteFile(me.pFilename)
  me.CreateFile(me.pFilename)
end