property pTarget          -- The target
property pCallHandler     -- The handler to be called (if any)

property pUpMemberName
property pDownMemberName
property pOffMemberName

on beginSprite (me)
  lOldDelimiter = _player.itemDelimiter
  _player.itemDelimiter = ","
  me.pUpMemberName = sprite(me.spriteNum).member.name
  me.pDownMemberName = me.pUpMemberName.item[1] & "," & me.pUpMemberName.item[2] & ",down"
  me.pOffMemberName = me.pUpMemberName.item[1] & "," & me.pUpMemberName.item[2] & ",off"
  _player.itemDelimiter = lOldDelimiter
end

on enterFrame (me)
  lCurrentMarker = QI(#status).GetCurrentSection()
  lButtonName = me.GetButtonName()
  if (lCurrentMarker starts lButtonName) then
    sprite(me.spriteNum).member = member(me.pDownMemberName)
  else
    sprite(me.spriteNum).member = member(me.pUpMemberName)
  end if
end

on mouseUp (me)
  lButtonName = me.GetButtonName()
  if (QI(#cap).Try(lButtonName)) then
    
    QI(#nav).Navigate(me.pTarget, true)
    
    lCallHandler = string(me.pCallHandler)
    if (lCallHandler <> "") then
      do(lCallHandler)
    end if
  else
    lTarget = "ogn://navigate/disabled"
    QI(#nav).Navigate(lTarget, true)
  end if
end

on GetButtonName (me)
  lOldDelimiter = _player.itemDelimiter
  _player.itemDelimiter = ","
  
  lSpriteName = sprite(me.spriteNum).name
  lButtonName = lSpriteName.item[2]
  
  _player.itemDelimiter = lOldDelimiter
  
  return(lButtonName)
end